// CGWetView.h : interface of the CCGWetView class
//


#pragma once

typedef enum {OVERLAY, SYMM_DIFF, A_DIFF, B_DIFF, UNION, INTERSECTION} UserChoices;


class CCGWetView : public CView
{
protected: // create from serialization only
	CCGWetView();
	DECLARE_DYNCREATE(CCGWetView)

// Attributes
public:
	CCGWetDoc* GetDocument() const;

// Operations
public:
	HGLRC m_hrc;
	double xmin, xmax, ymin, ymax;
	void DrawLine(double x1, double y1, double x2, double y2, double R, double G, double B);
	void DrawPoint(double x, double y, double R, double G, double B);
	void DrawPolygon(GLUtesselator* tobj, double* Xs, double* Ys, int NumofVertices, double R, double G, double B); 
	void SetScreenSize(double xmin, double xmax, double ymin, double ymax);\
	void OnUserChoice();

	UserChoices UserChoice;

// Overrides
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:

// Implementation
public:
	void SetDCPixelFormat(CDC* pDC);
	virtual ~CCGWetView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnFileOpen();
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	virtual void OnInitialUpdate();
	afx_msg void OnDestroy();
	afx_msg void  OnShowOverlay();
	afx_msg void  OnUpdateOverlay(CCmdUI *pCmdUI);
	afx_msg void  OnShowUnion();
	afx_msg void  OnUpdateUnion(CCmdUI *pCmdUI);
	afx_msg void  OnShowIntersection();
	afx_msg void  OnUpdateIntersection(CCmdUI *pCmdUI);
	afx_msg void  OnShowAB();
	afx_msg void  OnUpdateAB(CCmdUI *pCmdUI);
	afx_msg void  OnShowBA();
	afx_msg void  OnUpdateBA(CCmdUI *pCmdUI);
	afx_msg void  OnShowSymmDiff();
	afx_msg void  OnUpdateSymmDiff(CCmdUI *pCmdUI);
};

#ifndef _DEBUG  // debug version in CGWetView.cpp
inline CCGWetDoc* CCGWetView::GetDocument() const
   { return reinterpret_cast<CCGWetDoc*>(m_pDocument); }
#endif

